package com.persagy.dmp.rwd.edit.enumeration;

import lombok.Getter;

/**
 * @author sagadev
 */

public enum FuncidShareTypeEnum {

    /**
     * 通用信息点
     */
    COMMON("1", "通用信息点"),
    /**
     * 特有信息点
     */
    SELF("2", "特有信息点");

    @Getter
    private String value;
    @Getter
    private String desc;

    FuncidShareTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static FuncidShareTypeEnum getByValue(Integer value) {
        for (FuncidShareTypeEnum state : FuncidShareTypeEnum.values()) {
            if (state.getValue().equals(value)) {
                return state;
            }
        }
        return null;
    }
}
