package com.persagy.dmp.rwd.service;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.rwd.model.GroupAndSchemaModel;

public interface GroupAndSchemaService {
    /***
     * Description: 新建集团及集团方案
     * @param param : 请求参数
     * @return : com.persagy.common.web.MapResponse  
     * @author : lijie
     * @date :2021/7/21 14:25
     * Update By lijie 2021/7/21 14:25
     */
    MapResponse create(GroupAndSchemaModel param);
    /***
     * Description:编辑集团及集团方案
     * @param param : 请求参数
     * @return : com.persagy.common.web.MapResponse  
     * @author : lijie
     * @date :2021/7/21 15:19
     * Update By lijie 2021/7/21 15:19
     */
    MapResponse update(GroupAndSchemaModel param);
}
